﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.WebDropDown1.DataSource = GetEmployeeDetails();
            this.WebDropDown1.ValueField = "EmployeeID";
            this.WebDropDown1.TextField = "FirstName";
            this.WebDropDown1.DataBind();

            this.WebDropDown1.Items[0].Selected = true;
        }
    }

    private DataTable GetEmployeeDetails()
    {
        DataTable dtData = new DataTable("EmployeeDetails");

        dtData.Columns.Add("EmployeeID", typeof(int));
        dtData.Columns.Add("FirstName", typeof(string));

        for (int i = 0; i < 10; i++)
        {
            dtData.Rows.Add(new object[] { i, string.Format("First Name {0}", i) });
        }

        dtData.PrimaryKey = new DataColumn[] { dtData.Columns["EmployeeID"] };

        return dtData;
    }
}
